/*******************************************************************************
 * Copyright (c) 2010 Engineering Group.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Marco Cortella (Engineering Group) - initial API and implementation and/or initial documentation
 *******************************************************************************/
package org.eclipse.ebam.emf.activator;

import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import org.eclipse.ebam.emf.utilities.ConfigurationReader;
import org.eclipse.ebam.emf.EMF;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class ModelConnectorActivator implements BundleActivator {

	public static final String BUNDLE_ID="org.eclipse.ebam.modelconnector";
	
	public void start(BundleContext context) throws Exception {
		// a sto punto lo inietto io l'entity manager factory
		EntityManagerFactory factory = Persistence.createEntityManagerFactory("EbamModelConnector");
		EMF.setEntityManagerFactory(factory);
		// I need to initialize this reader because we need to read context
		ConfigurationReader configurationReader = ConfigurationReader.getInstance(context);
		
	}

	public void stop(BundleContext context) throws Exception {
		// TODO Auto-generated method stub
		EMF.closeEMF();

	}

}
